- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TRepeater

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TDataBoundControl
                   |
                   --TRepeater

TRepeater class.

TRepeater displays its content repeatedly based on the data fetched from DataSource. The repeated contents in TRepeater are called items, which are controls and can be accessed through Items. When dataBind() is invoked, TRepeater creates an item for each row of data and binds the data row to the item. Optionally, a repeater can have a header, a footer and/or separators between items.

The layout of the repeated contents are specified by inline templates. Repeater items, header, footer, etc. are being instantiated with the corresponding templates when data is being bound to the repeater.

Since v3.1.0, the layout can also be specified by renderers. A renderer is a control class that can be instantiated as repeater items, header, etc. A renderer can thus be viewed as an external template (in fact, it can also be non-templated controls).

A renderer can be any control class.

- If the class implements IDataRenderer, the Data

property will be set as the data row during databinding. Many PRADO controls implement this interface, such as TLabel, TTextBox, etc.

- If the class implements IItemDataRenderer, the ItemIndex property will be set

as the zero-based index of the item in the repeater item collection, and the ItemType property as the item's type (such as TListItemType::Item). TRepeaterItemRenderer may be used as the convenient base class which already implements IDataItemRenderer.

The following properties are used to specify different types of template and renderer for a repeater:

- ItemTemplate, ItemRenderer:

for each repeated row of data

- AlternatingItemTemplate, AlternatingItemRenderer:

for each alternating row of data. If not set, ItemTemplate or ItemRenderer will be used instead.

- HeaderTemplate, HeaderRenderer:

for the repeater header.

- FooterTemplate, FooterRenderer:

for the repeater footer.

- SeparatorTemplate, SeparatorRenderer:

for content to be displayed between items.

- EmptyTemplate, EmptyRenderer:

used when data bound to the repeater is empty.

If a content type is defined with both a template and a renderer, the latter takes precedence.

When dataBind() is being called, TRepeater undergoes the following lifecycles for each row of data:

- create item based on templates or renderers
- set the row of data to the item
- raise OnItemCreated:
- add the item as a child control
- call dataBind() of the item
- raise OnItemDataBound:

TRepeater raises an OnItemCommand whenever a button control within some repeater item raises a OnCommand event. Therefore, you can handle all sorts of OnCommand event in a central place by writing an event handler for OnItemCommand.

When a page containing a repeater is post back, the repeater will restore automatically all its contents, including items, header, footer and separators. However, the data row associated with each item will not be recovered and become null. To access the data, use one of the following ways:

- Use DataKeys to obtain the data key associated with

the specified repeater item and use the key to fetch the corresponding data from some persistent storage such as DB.

- Save the whole dataset in viewstate, which will restore the dataset automatically upon postback.

Be aware though, if the size of your dataset is big, your page size will become big. Some complex data may also have serializing problem if saved in viewstate.
Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
boolean | bubbleEvent ( TControl $sender, TEventParameter $param) This method overrides parent's implementation to handle onItemCommand event which is bubbled from repeater items and their child controls.
protected void | createEmptyContent () Creates empty repeater content.
protected TControl | createItem ( integer $itemIndex, TListItemType $itemType) Creates a repeater item instance based on the item type and index.
string | getAlternatingItemRenderer ()
ITemplate | getAlternatingItemTemplate ()
protected mixed | getDataFieldValue ( mixed $data, mixed $field) Returns the value of the data at the specified field.
string | getDataKeyField ()
TList | getDataKeys ()
string | getEmptyRenderer ()
ITemplate | getEmptyTemplate ()
TControl | getFooter ()
string | getFooterRenderer ()
ITemplate | getFooterTemplate ()
TControl | getHeader ()
string | getHeaderRenderer ()
ITemplate | getHeaderTemplate ()
string | getItemRenderer ()
TRepeaterItemCollection | getItems ()
ITemplate | getItemTemplate ()
string | getSeparatorRenderer ()
ITemplate | getSeparatorTemplate ()
void | loadState () Loads item count information from viewstate.
void | onItemCommand ( TRepeaterCommandEventParameter $param) Raises OnItemCommand event.
void | onItemCreated ( TRepeaterItemEventParameter $param) Raises OnItemCreated event.
void | onItemDataBound ( TRepeaterItemEventParameter $param) Raises OnItemDataBound event.
protected void | performDataBinding ( Traversable $data) Performs databinding to populate repeater items from data source.
void | render ( THtmlWriter $writer) Renders the repeater.
void | reset () Clears up all items in the repeater.
protected void | restoreItemsFromViewState () Creates repeater items based on viewstate information.
void | saveState () Saves item count in viewstate.
void | setAlternatingItemRenderer ( string $value) Sets the alternative item renderer class.
void | setAlternatingItemTemplate ( ITemplate $value)
void | setDataKeyField ( string $value)
void | setEmptyRenderer ( string $value) Sets the repeater empty renderer class.
void | setEmptyTemplate ( ITemplate $value)
void | setFooterRenderer ( string $value) Sets the repeater footer renderer class.
void | setFooterTemplate ( ITemplate $value)
void | setHeaderRenderer ( string $value) Sets the repeater header renderer class.
void | setHeaderTemplate ( ITemplate $value)
void | setItemRenderer ( string $value) Sets the item renderer class.
void | setItemTemplate ( ITemplate $value)
void | setSeparatorRenderer ( string $value) Sets the repeater item separator renderer class.
void | setSeparatorTemplate ( ITemplate $value)

Methods Inherited From TDataBoundControl

TDataBoundControl::createPagedDataSource(), TDataBoundControl::dataBind(), TDataBoundControl::dataSourceViewChanged(), TDataBoundControl::determineDataSource(), TDataBoundControl::ensureDataBound(), TDataBoundControl::getAllowCustomPaging(), TDataBoundControl::getAllowPaging(), TDataBoundControl::getCurrentPageIndex(), TDataBoundControl::getDataMember(), TDataBoundControl::getDataSource(), TDataBoundControl::getDataSourceID(), TDataBoundControl::getDataSourceView(), TDataBoundControl::getInitialized(), TDataBoundControl::getIsDataBound(), TDataBoundControl::getPageCount(), TDataBoundControl::getPageSize(), TDataBoundControl::getRequiresDataBinding(), TDataBoundControl::getSelectParameters(), TDataBoundControl::getUsingDataSourceID(), TDataBoundControl::getVirtualItemCount(), TDataBoundControl::onDataBound(), TDataBoundControl::onDataSourceChanged(), TDataBoundControl::onInit(), TDataBoundControl::onPreRender(), TDataBoundControl::pagePreLoad(), TDataBoundControl::setAllowCustomPaging(), TDataBoundControl::setAllowPaging(), TDataBoundControl::setCurrentPageIndex(), TDataBoundControl::setDataMember(), TDataBoundControl::setDataSource(), TDataBoundControl::setDataSourceID(), TDataBoundControl::setInitialized(), TDataBoundControl::setIsDataBound(), TDataBoundControl::setPageSize(), TDataBoundControl::setRequiresDataBinding(), TDataBoundControl::setVirtualItemCount(), TDataBoundControl::validateDataSource()

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | IT_ALTERNATINGITEM |
string | IT_FOOTER |
string | IT_HEADER | Repeater item types
string | IT_ITEM |
string | IT_SEPARATOR |

Method Details

## bubbleEvent

public boolean bubbleEvent | (TControl $sender , TEventParameter $param )

This method overrides parent's implementation to handle onItemCommand event which is bubbled from repeater items and their child controls.

This method should only be used by control developers.

Input
TControl | $sender | the sender of the event
TEventParameter | $param | event parameter
Output
boolean | whether the event bubbling should stop here.
Exception

## createEmptyContent

protected void createEmptyContent | ()

Creates empty repeater content.

Output
Exception

## createItem

protected TControl createItem | (integer $itemIndex , TListItemType $itemType )

Creates a repeater item instance based on the item type and index.

Input
integer | $itemIndex | zero-based item index
TListItemType | $itemType | item type
Output
TControl | created repeater item
Exception

## getAlternatingItemRenderer

public string getAlternatingItemRenderer | ()

Output
string | the class name for alternative repeater items. Defaults to empty, meaning not set.
Exception

## getAlternatingItemTemplate

public ITemplate getAlternatingItemTemplate | ()

Output
ITemplate | the alternative template string for the item
Exception

## getDataFieldValue

protected mixed getDataFieldValue | (mixed $data , mixed $field )

Returns the value of the data at the specified field.

If data is an array, TMap or TList, the value will be returned at the index of the specified field. If the data is a component with a property named as the field name, the property value will be returned. Otherwise, an exception will be raised.

Input
mixed | $data | data item
mixed | $field | field name
Output
mixed | data value at the specified field
Exception
throws | TInvalidDataValueException if the data is invalid

## getDataKeyField

public string getDataKeyField | ()

Output
string | the field of the data source that provides the keys of the list items.
Exception

## getDataKeys

public TList getDataKeys | ()

Output
TList | the keys used in the data listing control.
Exception

## getEmptyRenderer

public string getEmptyRenderer | ()

Output
string | the class name for empty repeater item. Defaults to empty, meaning not set.
Exception

## getEmptyTemplate

public ITemplate getEmptyTemplate | ()

Output
ITemplate | the template applied when no data is bound to the repeater
Exception

## getFooter

public TControl getFooter | ()

Output
TControl | the footer item
Exception

## getFooterRenderer

public string getFooterRenderer | ()

Output
string | the class name for repeater footer item. Defaults to empty, meaning not set.
Exception

## getFooterTemplate

public ITemplate getFooterTemplate | ()

Output
ITemplate | the footer template
Exception

## getHeader

public TControl getHeader | ()

Output
TControl | the header item
Exception

## getHeaderRenderer

public string getHeaderRenderer | ()

Output
string | the class name for repeater header item. Defaults to empty, meaning not set.
Exception

## getHeaderTemplate

public ITemplate getHeaderTemplate | ()

Output
ITemplate | the header template
Exception

## getItemRenderer

public string getItemRenderer | ()

Output
string | the class name for repeater items. Defaults to empty, meaning not set.
Exception

## getItems

public TRepeaterItemCollection getItems | ()

Output
TRepeaterItemCollection | list of repeater item controls
Exception

## getItemTemplate

public ITemplate getItemTemplate | ()

Output
ITemplate | the template for repeater items
Exception

## getSeparatorRenderer

public string getSeparatorRenderer | ()

Output
string | the class name for repeater item separators. Defaults to empty, meaning not set.
Exception

## getSeparatorTemplate

public ITemplate getSeparatorTemplate | ()

Output
ITemplate | the separator template
Exception

## loadState

public void loadState | ()

Loads item count information from viewstate.

This method is invoked right after control state is loaded.

Output
Exception

## onItemCommand

public void onItemCommand | (TRepeaterCommandEventParameter $param )

Raises OnItemCommand event.

This method is invoked after a button control in a template raises OnCommand event. The repeater control responsible for the event can be determined from the event parameter. The event parameter also contains the information about the initial sender of the OnCommand event, command name and command parameter. You may override this method to provide customized event handling. Be sure to call parent's implementation so that event handlers have chance to respond to the event.

Input
TRepeaterCommandEventParameter | $param | event parameter
Output
Exception

## onItemCreated

public void onItemCreated | (TRepeaterItemEventParameter $param )

Raises OnItemCreated event.

This method is invoked after a repeater item is created and instantiated with template, but before added to the page hierarchy. The repeater item control responsible for the event can be determined from the event parameter. If you override this method, be sure to call parent's implementation so that event handlers have chance to respond to the event.

Input
TRepeaterItemEventParameter | $param | event parameter
Output
Exception

## onItemDataBound

public void onItemDataBound | (TRepeaterItemEventParameter $param )

Raises OnItemDataBound event.

This method is invoked right after an item is data bound. The repeater item control responsible for the event can be determined from the event parameter. If you override this method, be sure to call parent's implementation so that event handlers have chance to respond to the event.

Input
TRepeaterItemEventParameter | $param | event parameter
Output
Exception

## performDataBinding

protected void performDataBinding | (Traversable $data )

Performs databinding to populate repeater items from data source.

This method is invoked by dataBind(). You may override this function to provide your own way of data population.

Input
Traversable | $data | the data
Output
Exception

## render

public void render | (THtmlWriter $writer )

Renders the repeater.

This method overrides the parent implementation by rendering the body content as the whole presentation of the repeater. Outer tag is not rendered.

Input
THtmlWriter | $writer | writer
Output
Exception

## reset

public void reset | ()

Clears up all items in the repeater.

Output
Exception

## restoreItemsFromViewState

protected void restoreItemsFromViewState | ()

Creates repeater items based on viewstate information.

Output
Exception

## saveState

public void saveState | ()

Saves item count in viewstate.

This method is invoked right before control state is to be saved.

Output
Exception

## setAlternatingItemRenderer

public void setAlternatingItemRenderer | (string $value )

Sets the alternative item renderer class.

If not empty, the class will be used to instantiate as alternative repeater items. This property takes precedence over AlternatingItemTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setAlternatingItemTemplate

public void setAlternatingItemTemplate | (ITemplate $value )

Input
ITemplate | $value | the alternative item template
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

## setDataKeyField

public void setDataKeyField | (string $value )

Input
string | $value | the field of the data source that provides the keys of the list items.
Output
Exception

## setEmptyRenderer

public void setEmptyRenderer | (string $value )

Sets the repeater empty renderer class.

The empty renderer is created as the child of the repeater if data bound to the repeater is empty. This property takes precedence over EmptyTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setEmptyTemplate

public void setEmptyTemplate | (ITemplate $value )

Input
ITemplate | $value | the template applied when no data is bound to the repeater
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

## setFooterRenderer

public void setFooterRenderer | (string $value )

Sets the repeater footer renderer class.

If not empty, the class will be used to instantiate as repeater footer item. This property takes precedence over FooterTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setFooterTemplate

public void setFooterTemplate | (ITemplate $value )

Input
ITemplate | $value | the footer template
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

## setHeaderRenderer

public void setHeaderRenderer | (string $value )

Sets the repeater header renderer class.

If not empty, the class will be used to instantiate as repeater header item. This property takes precedence over HeaderTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setHeaderTemplate

public void setHeaderTemplate | (ITemplate $value )

Input
ITemplate | $value | the header template
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

## setItemRenderer

public void setItemRenderer | (string $value )

Sets the item renderer class.

If not empty, the class will be used to instantiate as repeater items. This property takes precedence over ItemTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setItemTemplate

public void setItemTemplate | (ITemplate $value )

Input
ITemplate | $value | the template for repeater items
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

## setSeparatorRenderer

public void setSeparatorRenderer | (string $value )

Sets the repeater item separator renderer class.

If not empty, the class will be used to instantiate as repeater item separators. This property takes precedence over SeparatorTemplate.

Input
string | $value | the renderer class name in namespace format.
Output
Exception

## setSeparatorTemplate

public void setSeparatorTemplate | (ITemplate $value )

Input
ITemplate | $value | the separator template
Output
Exception
throws | TInvalidDataTypeException if the input is not an ITemplate or not null.

Constant Details

### IT_ALTERNATINGITEM

#### Type:

string

#### Value:

'AlternatingItem'

### IT_FOOTER

#### Type:

string

#### Value:

'Footer'

### IT_HEADER

Repeater item types

#### Type:

string

#### Value:

'Header'
Deprecated: deprecated since version 3.0.4. Use TListItemType constants instead.

### IT_ITEM

#### Type:

string

#### Value:

'Item'

### IT_SEPARATOR

#### Type:

string

#### Value:

'Separator'